## org.apache.mahout.cf.taste.impl.model.jdbc
Class ConnectionPoolDataSource

    java.lang.Object
      org.apache.mahout.cf.taste.impl.model.jdbc.ConnectionPoolDataSource

All Implemented Interfaces:
  java.sql.Wrapper, javax.sql.CommonDataSource, javax.sql.DataSource

    public final class ConnectionPoolDataSource

extends java.lang.Object
implements javax.sql.DataSource

A wrapper `DataSource` which pools connections.

Constructor Summary
`ConnectionPoolDataSource(javax.sql.DataSource underlyingDataSource)`

Method Summary
`java.sql.Connection` `getConnection()`
`java.sql.Connection` `getConnection(java.lang.String username, java.lang.String password)`
`int` `getLoginTimeout()`
`java.io.PrintWriter` `getLogWriter()`
`boolean` `isWrapperFor(java.lang.Class<?> iface)`
`void` `setLoginTimeout(int timeout)`
`void` `setLogWriter(java.io.PrintWriter printWriter)`

`

`<T> T`

`

`unwrap(java.lang.Class<T> iface)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionPoolDataSource

    public ConnectionPoolDataSource(javax.sql.DataSource underlyingDataSource)

Method Detail

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    `getConnection` in interface `javax.sql.DataSource`
  Throws:
    `java.sql.SQLException`

### getConnection

    public java.sql.Connection getConnection(java.lang.String username,
                                             java.lang.String password)
                                      throws java.sql.SQLException

  Specified by:
    `getConnection` in interface `javax.sql.DataSource`
  Throws:
    `java.sql.SQLException`

### getLogWriter

    public java.io.PrintWriter getLogWriter()
                                     throws java.sql.SQLException

  Specified by:
    `getLogWriter` in interface `javax.sql.CommonDataSource`
  Throws:
    `java.sql.SQLException`

### setLogWriter

    public void setLogWriter(java.io.PrintWriter printWriter)
                      throws java.sql.SQLException

  Specified by:
    `setLogWriter` in interface `javax.sql.CommonDataSource`
  Throws:
    `java.sql.SQLException`

### setLoginTimeout

    public void setLoginTimeout(int timeout)
                         throws java.sql.SQLException

  Specified by:
    `setLoginTimeout` in interface `javax.sql.CommonDataSource`
  Throws:
    `java.sql.SQLException`

### getLoginTimeout

    public int getLoginTimeout()
                        throws java.sql.SQLException

  Specified by:
    `getLoginTimeout` in interface `javax.sql.CommonDataSource`
  Throws:
    `java.sql.SQLException`

### unwrap

    public <T> T unwrap(java.lang.Class<T> iface)
             throws java.sql.SQLException

  Specified by:
    `unwrap` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`

### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> iface)
                         throws java.sql.SQLException

  Specified by:
    `isWrapperFor` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.